Page MenuHomePhabricator

LQT Fatal error: __clone method called on non-object
Closed, ResolvedPublicPRODUCTION ERROR

Description

[25-May-2013 13:26:15] Fatal error: __clone method called on non-object at /usr/local/apache/common-local/php-1.22wmf4/extensions/LiquidThreads/api/ApiFeedLQTThreads.php on line 81
Server: mw1205
Method: GET
URL: http://www.mediawiki.org/w/api.php?action=feedthreads&type=replies%7Cnewthreads&talkpage=Project%3ASupport+desk&feedformat=atom
Backtrace:
#0 /usr/local/apache/common-local/php-1.22wmf4/extensions/LiquidThreads/api/ApiFeedLQTThreads.php(81): ApiFeedLQTThreads::createFeedItem()
#1 /usr/local/apache/common-local/php-1.22wmf4/extensions/LiquidThreads/api/ApiFeedLQTThreads.php(67): ApiFeedLQTThreads->createFeedItem(Object(stdClass))
#2 /usr/local/apache/common-local/php-1.22wmf4/includes/api/ApiMain.php(840): ApiFeedLQTThreads->execute()
#3 /usr/local/apache/common-local/php-1.22wmf4/includes/api/ApiMain.php(380): ApiMain->executeAction()
#4 /usr/local/apache/common-local/php-1.22wmf4/includes/api/ApiMain.php(351): ApiMain->executeActionWithErrorHandling()
#5 /usr/local/apache/common-local/php-1.22wmf4/api.php(73): ApiMain->execute()
#6 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')
#7 {main}


Version: master
Severity: normal
URL: http://www.mediawiki.org/w/api.php?action=feedthreads&type=replies%7Cnewthreads&talkpage=Project%3ASupport+desk&feedformat=atom

Details

Reference
bz48809

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:30 AM
bzimport set Reference to bz48809.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.May 25 2013, 1:37 PM

I haven't observed this in the past few days on translatewiki.net. Is it still observed on Wikimedia wikis? URL now gives a correct feed.

Works for me too. Please reopen if this is still / again a problem.

[13-Feb-2014 21:56:48] Fatal error: __clone method called on non-object at /usr/local/apache/common-local/php-1.23wmf14/extensions/LiquidThreads/api/ApiFeedLQTThreads.php on line 81
Server: mw1125
Method: GET
URL: http://www.mediawiki.org/w/api.php?action=feedthreads&type=replies%7Cnewthreads&talkpage=Talk%3AHow+to+contribute&feedformat=atom
Cookie: $Version=1; mediawikiwikiSession=fcd759255d24171b6027b18a128484fc; $Path=/; mediawikiwikiUserID=deleted; $Path=/; mediawikiwikiToken=deleted; $Path=/; forceHTTPS=deleted; $Path=/; mediawikiwikiLoggedOut=1388268620; $Path=/; stopMobileRedirect=true; $Path=/
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf14/extensions/LiquidThreads/api/ApiFeedLQTThreads.php(81): ApiFeedLQTThreads::createFeedItem()
#1 /usr/local/apache/common-local/php-1.23wmf14/extensions/LiquidThreads/api/ApiFeedLQTThreads.php(67): ApiFeedLQTThreads->createFeedItem(Object(stdClass))
#2 /usr/local/apache/common-local/php-1.23wmf14/includes/api/ApiMain.php(861): ApiFeedLQTThreads->execute()
#3 /usr/local/apache/common-local/php-1.23wmf14/includes/api/ApiMain.php(362): ApiMain->executeAction()
#4 /usr/local/apache/common-local/php-1.23wmf14/includes/api/ApiMain.php(333): ApiMain->executeActionWithErrorHandling()
#5 /usr/local/apache/common-local/php-1.23wmf14/api.php(76): ApiMain->execute()
#6 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')
#7 {main}

Has something changed in our cookie handling in 1.23wmf14? Those look a bit strange

demon set Security to None.
hashar lowered the priority of this task from Medium to Low.Jun 5 2015, 10:41 AM
hashar moved this task from Untriaged to Dec2019/1.35.wmf.10+ on the Wikimedia-production-error board.
Jdforrester-WMF lowered the priority of this task from Low to Lowest.Aug 4 2016, 11:34 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

Nemo_bis raised the priority of this task from Lowest to Low.Aug 5 2016, 7:38 AM
Krinkle closed this task as Resolved.Oct 27 2018, 8:43 PM
Krinkle added a subscriber: Krinkle.

Not seen in WMF Logstash for 30 days, and the given url seems to work fine now.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM